Subject: Re: linux-next: kernel/trace/trace.c:658: error:

From: "Frédéric Weisbecker" <[email-masked]>
Date: Thu, 23 Oct 2008 17:33:26 +0200

2008/10/23 Geert Uytterhoeven <[email-masked]>:
> On Thu, 23 Oct 2008, Frédéric Weisbecker wrote:
>> 2008/10/23 Geert Uytterhoeven <[email-masked]>:
>> > If kernel/trace/trace.c calls irqs_disabled_flags(), it should include
>> > the include that defines irqs_disabled_flags(). You should not add it to
>> > some other random include.
>> >
>> > It's also happening on m68k:
>> > http://kisskb.ellerman.id.au/kisskb/buildresult/50641/
>>
>> The fact is that other archs include this header into their
>> asm/system.h. It seems that's because
>> they need some non-traced irq_save/restore .
>> I wanted to stay in the same approach because future use of
>> raw_local_irq could be used elsewhere
>> and seem to work perfectly whithout adding special headers on most
>> arch. But there will be some
>> bug report for each future use of these functions for alpha.... (and
>> even m68k as it seems).
>>
>> What do you think? Should I let this patch as is or send a new one
>> (and one other for m68k).
>
> kernel/trace/trace.c needs to include at least <linux/irqflags.h>, as
> that's where irqs_disabled_flags() is defined.
>
> If there are still other issues with the raw_local_irq(), IMHO they should be
> fixed separately.
>
> Hmm, what's this doing in <linux/irqflags.h>:
> | #ifdef CONFIG_TRACE_IRQFLAGS_SUPPORT
> | ...
> | #endif          /* CONFIG_X86 */
>                     ^^^^^^^^^^
>

Ok, I will send a patch to correct in this way.

Thanks.